//
//  URLFeeder.m
//  ForClark
//
//  Created by Clark Barry on 12/21/12.
//  Copyright (c) 2012 CSHaus. All rights reserved.
//

#import "URLFeeder.h"
#import "CommonDefines.h"

#import "Request.h"
#define BASE_URL @"http://polar-springs-2467.herokuapp.com/"

@implementation URLFeeder

+(NSString *)getCookie{
    NSString *url = BASE_URL;
    url = [url stringByAppendingPathComponent:@"get_csrf_token"];
    return url;
}

+(NSString *)getLoginURL{
    NSString *url = BASE_URL;
    url = [url stringByAppendingPathComponent:@"users"];
    url = [url stringByAppendingPathComponent:@"sign_in.json"];
    return url;
}

+(NSString *)getURLForUserCreate{
    NSString *url = BASE_URL;
    url = [url stringByAppendingPathComponent:@"users.json"];
    return url;
}

+(NSString *)getURLForNotes{
    NSString *url = BASE_URL;
    url = [url stringByAppendingPathComponent:@"notes"];
    return url;
}

+(NSString *)getURLForNotesJson{
    NSString *url = BASE_URL;
    url = [url stringByAppendingPathComponent:@"notes.json"];
    return url;
}

+(NSString *)getURLForRequest{
    NSString *url = BASE_URL;
    url = [url stringByAppendingPathComponent:@"requests.json"];
    return url;
}

+(NSString *)getURLForRequestResponse:(Request *)request{
    NSString *url = BASE_URL;
    url = [url stringByAppendingPathComponent:@"requests"];
    url = [url stringByAppendingPathComponent:[NSString stringWithFormat:@"%d.json",request.index]];
    return url;
}

+(NSString *)getURLToBreakConnection{
    NSString *url = BASE_URL;
    url = [url stringByAppendingPathComponent:@"users"];
    url = [url stringByAppendingPathComponent:@"break_connection"];
    return url;
}

@end
