//
//  CommonDefines.h
//  ForClark
//
//  Created by Clark Barry on 12/21/12.
//  Copyright (c) 2012 CSHaus. All rights reserved.
//

#ifndef ForClark_CommonDefines_h
#define ForClark_CommonDefines_h

#define LITTLE_NOTE_IDENTIFIER @"LittleNote"

#define PADDING (20.0)
#define SERVER @"http://kcbarry.com:80/"


#define LOGIN_SUCCESS_KEY @"success"
#define AUTH_TOKEN_KEY @"token"
#define USER_KEY @"user"

#define USERNAME_KEY @"username"
#define PASSWORD_KEY @"password"
#define EMAIL_KEY @"email"
#define NOTES_KEY @"all_notes"
#define REQUEST_KEY @"requests"

#define REQUEST_TO_KEY @"to"
#define REQUEST_PENDING_KEY @"pending"

#define REMEMBER_TOKEN_KEY @"remember_token"
#define CURRENT_INDEX_KEY @"note_index"

#define SHARE_WITH_KEY @"share_with"
#define ID_KEY @"id"
#define FROM_KEY @"from"
#define NAME_KEY @"name"

#define CONTENT_KEY @"content"

#define DATA_KEY @"Data"
#define DATA_FILE @"/data.plist"

#define CSRF_KEY @"X-CSRF-Token"

#endif
