//
//  LittleNoteTheme.h
//  LittleNote
//
//  Created by Clark Barry on 3/12/13.
//  Copyright (c) 2013 CSHaus. All rights reserved.
//

#import <Foundation/Foundation.h>

@interface LittleNoteTheme : NSObject{
    UIImage *_image;
}

@property(strong)NSString *name;
@property(strong)UIColor *navBarColor;
@property(strong)UIColor *navBarTextColor;
@property(strong)UIColor *textColor;
@property(strong)UIColor *backgroundColor;
@property(strong)UIColor *highlightColor;
@property(strong)NSString *fontName;

-(id)initWithName:(NSString *)name navBarColor:(UIColor *)navBarColor navBarTextColor:(UIColor *)navBarTextColor textColor:(UIColor *)textColor highlightColor:(UIColor *)highlightColor backgroundColor:(UIColor *)backgroundColor andFont:(NSString *)fontName;
-(UIImage *)getImageWithSize:(CGSize)size;
@end
