//
//  ThemeManager.h
//  LittleNote
//
//  Created by Clark Barry on 3/12/13.
//  Copyright (c) 2013 CSHaus. All rights reserved.
//

#import <Foundation/Foundation.h>
#import "LittleNoteTheme.h"

@interface ThemeManager : NSObject{
    NSMutableArray *_themes;
    LittleNoteTheme *_currentTheme;
    NSInteger _currentIndex;
}

@property(readonly)NSArray *themes;
@property(readonly)LittleNoteTheme *currentTheme;
@property(readonly)NSInteger currentIndex;

+(ThemeManager *)getInstance;
-(void)setCurrentIndex:(NSInteger)currentIndex;

@end
