//
//  NoteView.h
//  ForClark
//
//  Created by Clark Barry on 12/22/12.
//  Copyright (c) 2012 CSHaus. All rights reserved.
//

#import <UIKit/UIKit.h>
@class Note;

@interface NoteView : UIView{
    UILabel *_textView;
    UIImageView *_imageView;
}

-(void)configureForNote:(Note *)note withSize:(CGSize)size;
-(void)configureForBlank:(CGSize)size;
-(void)configureForEmptyWithSize:(CGSize)size;
-(void)configureForNotSharing:(CGSize)size;
-(void)configureForRefresh:(CGSize)size;

-(void)showChecking;
-(void)finishedChecking:(BOOL)withNewNotes;
-(void)fadeInNote:(Note *)note withSize:(CGSize)size;
@end
